#include "qad_sql_table.h"

#include "sql_record_plugin.h"
#include "sql_table_plugin.h"


QADSQLTable::QADSQLTable(QObject * parent): QObject(parent) {
	m_widgets.append(new SQLTablePlugin(this));
	m_widgets.append(new SQLRecordPlugin(this));
}


QList<QDesignerCustomWidgetInterface *> QADSQLTable::customWidgets() const {
	return m_widgets;
}


#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(qad_sql_table_plugin, QADSQLTable)
#endif
